package exchain

import (
	cryptorand "crypto/rand"
	"github.com/holiman/uint256"
	"github.com/oklog/ulid"
	"time"
)

func GetNonce() *uint256.Int {
	id, _ := ulid.New(ulid.Timestamp(time.Now()), cryptorand.Reader)
	return new(uint256.Int).SetBytes(id[:])
}
